Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets.jsp
Class TagSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.servlets.jsp.TagSupport

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  CatalogSelectorTag, ContentTagSupport

    public class TagSupport

extends javax.servlet.jsp.tagext.TagSupport

A helper class for P13N JSP custom tags with no body.

See Also
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TagSupport()`

Method Summary
`protected AdviceRequest` | `createAdviceRequest(String uri, String identifier)` Creates a new `AdviceRequest`.
`protected Advisor` | `createAdvisor()` Creates an `Advisor` EJB instance.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagSupport

    public TagSupport()

Method Detail

### createAdvisor

    protected Advisor createAdvisor()
                             throws JspException

  Creates an `Advisor` EJB instance.

  Returns
    An Advisor
  Throws
    `JspException` - if an error occurrs during creation of an `Advisor`.
  See Also
    `Advisor`

### createAdviceRequest

    protected AdviceRequest createAdviceRequest(String uri,
                                                String identifier)
                                         throws JspException

  Creates a new `AdviceRequest`.

  Parameters
    `uri` - the URI for the AdviceRequest - this will correspond to the URI prefix of a deployed Advislet.
    `identifier` - the identifier for this request to the Advisor.
  Returns
    a new `AdviceRequest` instance.
  Throws
    `JspException` - if an error occurrs during creation of an `AdviceRequest`.
  See Also
    `AdviceRequest`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved